---
title: "getPreviousAdjacentEdge"
excerpt: "Get the previous adjacent edge to the edge given."
layout: manual
---

Get the previous adjacent edge to the edge given.



```js
getPreviousAdjacentEdge(tag: TagIdentifier) -> Uuid
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `tag` | [`TagIdentifier`](/docs/kcl/types#tag-identifier) |  | Yes |

### Returns

`Uuid` 


### Examples

```js
exampleSketch = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> line(end = [10, 0])
  |> angledLine({ angle = 60, length = 10 }, %)
  |> angledLine({ angle = 120, length = 10 }, %)
  |> line(end = [-10, 0])
  |> angledLine({ angle = 240, length = 10 }, %, $referenceEdge)
  |> close()

example = extrude(exampleSketch, length = 5)
  |> fillet({
       radius = 3,
       tags = [getPreviousAdjacentEdge(referenceEdge)]
     }, %)
```

![Rendered example of getPreviousAdjacentEdge 0](data:image/png;base64,[encoded data, 88864 characters])


